Skip to main content
GET
/
files
/
v3
/
files
/
search
Search files
curl --request GET \
  --url https://api.hubapi.com/files/v3/files/search \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "access": "HIDDEN_INDEXABLE",
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "defaultHostingUrl": "<string>",
      "encoding": "<string>",
      "expiresAt": 123,
      "extension": "<string>",
      "fileMd5": "<string>",
      "height": 123,
      "isUsableInContent": true,
      "name": "<string>",
      "parentFolderId": "<string>",
      "path": "<string>",
      "size": 123,
      "sourceGroup": "CONTENT",
      "type": "<string>",
      "url": "<string>",
      "width": 123
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

Offset search results by this value. The default offset is 0 and the maximum offset of items for a given search is 10,000. Narrow your search down if you are reaching this limit.

allowsAnonymousAccess
boolean

Search files by access. If 'true' will show only public files; if 'false' will show only private files

before
string

Search files updated before this timestamp. Time must be epoch time in milliseconds.

createdAt
string<date-time>

Search files by exact time of creation. Time must be epoch time in milliseconds.

createdAtGte
string<date-time>

Search files by greater than or equal to time of creation. Can be used with createdAtLte to create a range.

createdAtLte
string<date-time>

Search files by less than or equal to time of creation. Can be used with createdAtGte to create a range.

encoding
string

Search files by specified encoding.

expiresAt
string<date-time>

Search files by exact expires time. Time must be epoch time in milliseconds.

expiresAtGte
string<date-time>

Search files by greater than or equal to expires time. Can be used with expiresAtLte to create a range.

expiresAtLte
string<date-time>

Search files by less than or equal to expires time. Can be used with expiresAtGte to create a range.

extension
string

Search files by given extension.

fileMd5
string

Search files by specific md5 hash.

height
integer<int32>

Search files by height of image or video.

heightGte
integer<int32>

Search files by greater than or equal to height of image or video. Can be used with heightLte to create a range.

heightLte
integer<int32>

Search files by less than or equal to height of image or video. Can be used with heightGte to create a range.

idGte
integer<int64>

Search files by greater than or equal to ID. Can be used with idLte to create a range.

idLte
integer<int64>

Search files by less than or equal to ID. Can be used with idGte to create a range.

ids
integer<int64>[]
isUsableInContent
boolean

If true shows files that have been marked to be used in new content. It false shows files that should not be used in new content.

limit
integer<int32>

Number of items to return. Default limit is 10, maximum limit is 100.

name
string

Search for files containing the given name.

parentFolderIds
integer<int64>[]
path
string

Search files by path.

properties
string[]

Desired file properties in the return object.

size
integer<int64>

Search files by exact file size in bytes.

sizeGte
integer<int64>

Search files by greater than or equal to file size. Can be used with sizeLte to create a range.

sizeLte
integer<int64>

Search files by less than or equal to file size. Can be used with sizeGte to create a range.

sort
string[]

Sort files by a given field.

type
string

Search files by file type.

updatedAt
string<date-time>

Search files by exact time of latest updated. Time must be epoch time in milliseconds.

updatedAtGte
string<date-time>

Search files by greater than or equal to time of latest update. Can be used with updatedAtLte to create a range.

updatedAtLte
string<date-time>

Search files by less than or equal to time of latest update. Can be used with updatedAtGte to create a range.

url
string

Search for given URL

width
integer<int32>

Search files by width of image or video.

widthGte
integer<int32>

Search files by greater than or equal to width of image or video. Can be used with widthLte to create a range.

widthLte
integer<int32>

Search files by less than or equal to width of image or video. Can be used with widthGte to create a range.

Response

successful operation

Collections of files

results
object[]
required
paging
object
Last modified on February 12, 2026